window.Gleam.initSearch([{"doc":"typed_headers","title":"typed_headers","content":"# typed_headers\n\n[![Package Version](https://img.shields.io/hexpm/v/typed_headers)](https://hex.pm/packages/typed_headers)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/typed_headers/)\n\n```sh\ngleam add typed_headers\n```\n```gleam\nimport gleam/list\nimport typed_headers\nimport typed_headers/content_type\n\npub fn main() {\n  let headers =\n  [\n    typed_headers.ContentTypeHeader(\n      content_type.ApplicationContentType(\n        content_type.JSONApplicationContentType,\n      )\n    )\n  ]\n  |&gt; list.map(typed_headers.to_string)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/typed_headers&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"content_type","title":"ApplicationContentType","content":"pub type ApplicationContentType {\n  JSONApplicationContentType\n  XMLApplicationContentType\n  OGGApplicationContentType\n  OGGWithCodecsApplicationContentType(codecs: List(String))\n  CustomApplicationContentType(String)\n}\n\nJSONApplicationContentType\n\n\nXMLApplicationContentType\n\n\nOGGApplicationContentType\n\n\nOGGWithCodecsApplicationContentType(codecs: List(String))\n\n\nCustomApplicationContentType(String)\n\n\nSynonyms:\ncontent_type.ApplicationContentType\ncontent_type ApplicationContentType","url":"content_type.html#ApplicationContentType"},{"doc":"content_type","title":"AudioContentType","content":"pub type AudioContentType {\n  AACAudioContentType\n  FLACAudioContentType\n  MPEGAudioContentType\n  MP3AudioContentType\n  WEBMAudioContentType\n  WEBMWithCodecsAudioContentType(codecs: List(WEBMAudioCodec))\n  CustomAudioContentType(String)\n}\n\nAACAudioContentType\n\n\nFLACAudioContentType\n\n\nMPEGAudioContentType\n\n\nMP3AudioContentType\n\n\nWEBMAudioContentType\n\n\nWEBMWithCodecsAudioContentType(codecs: List(WEBMAudioCodec))\n\n\nCustomAudioContentType(String)\n\n\nSynonyms:\ncontent_type.AudioContentType\ncontent_type AudioContentType","url":"content_type.html#AudioContentType"},{"doc":"content_type","title":"ContentType","content":"pub type ContentType {\n  ApplicationContentType(ApplicationContentType)\n  ApplicationWithCodecsContentType(\n    ApplicationContentType,\n    codecs: List(String),\n  )\n  AudioContentType(AudioContentType)\n  AudioWithCodecsContentType(\n    AudioContentType,\n    codecs: List(String),\n  )\n  FontContentType(FontContentType)\n  ExampleContentType(ExampleContentType)\n  ImageContentType(ImageContentType)\n  MessageContentType(MessageContentType)\n  ModelContentType(ModelContentType)\n  MultipartContentType(MultipartContentType)\n  TextContentType(TextContentType)\n  VideoContentType(VideoContentType)\n  VideoWithCodecsContentType(\n    VideoContentType,\n    codecs: List(String),\n  )\n  CustomContentType(media_type: String, sub_type: String)\n  CustomRawContentType(String)\n}\n\nApplicationContentType(ApplicationContentType)\n\n\nApplicationWithCodecsContentType(\n  ApplicationContentType,\n  codecs: List(String),\n)\n\n\nAudioContentType(AudioContentType)\n\n\nAudioWithCodecsContentType(\n  AudioContentType,\n  codecs: List(String),\n)\n\n\nFontContentType(FontContentType)\n\n\nExampleContentType(ExampleContentType)\n\n\nImageContentType(ImageContentType)\n\n\nMessageContentType(MessageContentType)\n\n\nModelContentType(ModelContentType)\n\n\nMultipartContentType(MultipartContentType)\n\n\nTextContentType(TextContentType)\n\n\nVideoContentType(VideoContentType)\n\n\nVideoWithCodecsContentType(\n  VideoContentType,\n  codecs: List(String),\n)\n\n\nCustomContentType(media_type: String, sub_type: String)\n\n\nCustomRawContentType(String)\n\n\nSynonyms:\ncontent_type.ContentType\ncontent_type ContentType","url":"content_type.html#ContentType"},{"doc":"content_type","title":"ExampleContentType","content":"pub type ExampleContentType {\n  CustomExampleContentType(String)\n}\n\nCustomExampleContentType(String)\n\n\nSynonyms:\ncontent_type.ExampleContentType\ncontent_type ExampleContentType","url":"content_type.html#ExampleContentType"},{"doc":"content_type","title":"FontContentType","content":"pub type FontContentType {\n  CollectionFontContentType\n  OTFFontContentType\n  SFNTFontContentType\n  TTFFontContentType\n  WOFFFontContentType\n  WOFF2FontContentType\n  CustomFontContentType(String)\n}\n\nCollectionFontContentType\n\n\nOTFFontContentType\n\n\nSFNTFontContentType\n\n\nTTFFontContentType\n\n\nWOFFFontContentType\n\n\nWOFF2FontContentType\n\n\nCustomFontContentType(String)\n\n\nSynonyms:\ncontent_type.FontContentType\ncontent_type FontContentType","url":"content_type.html#FontContentType"},{"doc":"content_type","title":"ImageContentType","content":"pub type ImageContentType {\n  JPEGImageContentType\n  PNGImageContentType\n  CustomImageContentType(String)\n}\n\nJPEGImageContentType\n\n\nPNGImageContentType\n\n\nCustomImageContentType(String)\n\n\nSynonyms:\ncontent_type.ImageContentType\ncontent_type ImageContentType","url":"content_type.html#ImageContentType"},{"doc":"content_type","title":"MessageContentType","content":"pub type MessageContentType {\n  HTTPMessageContentType\n  SIPMessageContentType\n  CustomMessageContentType(String)\n}\n\nHTTPMessageContentType\n\n\nSIPMessageContentType\n\n\nCustomMessageContentType(String)\n\n\nSynonyms:\ncontent_type.MessageContentType\ncontent_type MessageContentType","url":"content_type.html#MessageContentType"},{"doc":"content_type","title":"ModelContentType","content":"pub type ModelContentType {\n  STEPModelContentType\n  OBJModelContentType\n  CustomModelContentType(String)\n}\n\nSTEPModelContentType\n\n\nOBJModelContentType\n\n\nCustomModelContentType(String)\n\n\nSynonyms:\ncontent_type.ModelContentType\ncontent_type ModelContentType","url":"content_type.html#ModelContentType"},{"doc":"content_type","title":"MultipartContentType","content":"pub type MultipartContentType {\n  FormDataMultipartContentType\n  MixedMultipartContentType\n  CustomMultipartContentType(String)\n}\n\nFormDataMultipartContentType\n\n\nMixedMultipartContentType\n\n\nCustomMultipartContentType(String)\n\n\nSynonyms:\ncontent_type.MultipartContentType\ncontent_type MultipartContentType","url":"content_type.html#MultipartContentType"},{"doc":"content_type","title":"TextContentType","content":"pub type TextContentType {\n  PlainTextContentType\n  HTMLTextContentType\n  JavascriptTextContentType\n  CSSTextContentType\n  CustomTextContentType(String)\n}\n\nPlainTextContentType\n\n\nHTMLTextContentType\n\n\nJavascriptTextContentType\n\n\nCSSTextContentType\n\n\nCustomTextContentType(String)\n\n\nSynonyms:\ncontent_type.TextContentType\ncontent_type TextContentType","url":"content_type.html#TextContentType"},{"doc":"content_type","title":"VideoContentType","content":"pub type VideoContentType {\n  RAWVideoContentType\n  MP4VideoContentType\n  MPVVideoContentType\n  WEBMVideoContentType\n  WEBMWithCodecsVideoContentType(List(WEBMVideoCodec))\n  CustomVideoContentType(String)\n}\n\nRAWVideoContentType\n\n\nMP4VideoContentType\n\n\nMPVVideoContentType\n\n\nWEBMVideoContentType\n\n\nWEBMWithCodecsVideoContentType(List(WEBMVideoCodec))\n\n\nCustomVideoContentType(String)\n\n\nSynonyms:\ncontent_type.VideoContentType\ncontent_type VideoContentType","url":"content_type.html#VideoContentType"},{"doc":"content_type","title":"WEBMAudioCodec","content":"pub type WEBMAudioCodec {\n  VorbisWEBMAudioCodec\n  OPUSWEBMAudioCodec\n}\n\nVorbisWEBMAudioCodec\n\n\nOPUSWEBMAudioCodec\n\n\nSynonyms:\ncontent_type.WEBMAudioCodec\ncontent_type WEBMAudioCodec","url":"content_type.html#WEBMAudioCodec"},{"doc":"content_type","title":"WEBMVideoCodec","content":"pub type WEBMVideoCodec {\n  VP8WEBMVideoCodec\n  VP80WEBMVideoCodec\n}\n\nVP8WEBMVideoCodec\n\n\nVP80WEBMVideoCodec\n\n\nSynonyms:\ncontent_type.WEBMVideoCodec\ncontent_type WEBMVideoCodec","url":"content_type.html#WEBMVideoCodec"},{"doc":"content_type","title":"header_name","content":"pub const header_name: String = &quot;Content-Type&quot;\n\nSynonyms:\ncontent_type.header_name\ncontent_type header_name","url":"content_type.html#header_name"},{"doc":"content_type","title":"to_string","content":"pub fn to_string(content_type: ContentType) -&gt; String\n\nSynonyms:\ncontent_type.to_string\ncontent_type to_string","url":"content_type.html#to_string"},{"doc":"content_type","title":"content_type","content":"","url":"content_type.html"},{"doc":"method","title":"Method","content":"pub type Method {\n  GETMethod\n  POSTMethod\n  PUTMethod\n  PATCHMethod\n  DELETEMethod\n  HEADMethod\n  OPTIONSMethod\n  TRACEMethod\n  CONNECTMethod\n  CustomMethod(String)\n}\n\nGETMethod\n\n\nPOSTMethod\n\n\nPUTMethod\n\n\nPATCHMethod\n\n\nDELETEMethod\n\n\nHEADMethod\n\n\nOPTIONSMethod\n\n\nTRACEMethod\n\n\nCONNECTMethod\n\n\nCustomMethod(String)\n\n\nSynonyms:\nmethod.Method\nmethod Method","url":"method.html#Method"},{"doc":"method","title":"to_string","content":"pub fn to_string(method: Method) -&gt; String\n\nSynonyms:\nmethod.to_string\nmethod to_string","url":"method.html#to_string"},{"doc":"method","title":"method","content":"","url":"method.html"},{"doc":"typed_headers","title":"Header","content":"pub type Header {\n  ContentTypeHeader(ContentType)\n  CustomHeader(name: String, value: String)\n  CustomRawHeader(String)\n}\n\nContentTypeHeader(ContentType)\n\n\nCustomHeader(name: String, value: String)\n\n\nCustomRawHeader(String)\n\n\nSynonyms:\ntyped_headers.Header\ntyped_headers Header","url":"typed_headers.html#Header"},{"doc":"typed_headers","title":"to_string","content":"pub fn to_string(header: Header) -&gt; String\n\nSynonyms:\ntyped_headers.to_string\ntyped_headers to_string","url":"typed_headers.html#to_string"},{"doc":"typed_headers","title":"typed_headers","content":"","url":"typed_headers.html"}]);